/**

  Spago4Q - The Business Intelligence Free Platform

  Copyright (C) 2009 Engineering Ingegneria Informatica S.p.A.

  Spago4Q is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  Spago4Q is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago4q.extractors.bo;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Set;

public class GenericItem implements GenericItemInterface {

	private HashMap<String,String> data = new HashMap<String,String>();
	
	public String getValue(final String field) {
		return data.get(field);
	}

	public void setValue(final String name, final String val){
		data.put(name, val);
	}
	
	public Set<String> getKeys(){
		return data.keySet();
	}
	
	@Override
	public String toString(){
		Iterator iter=data.keySet().iterator();
		String ris="";
		while(iter.hasNext()){
			String k=(String)iter.next();
			ris=ris+k+"="+data.get(k)+" | ";
		}
		return ris;
	}

}
